<html>
<head>
<title>OGRE: OgreMeshFileFormat.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreMeshFileFormat.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>

<p>
<a href="OgreMeshFileFormat_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4">Ogre::MeshChunkID</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4e377c85390fc6c2cb7d57009bbcb48a3">Ogre::M_HEADER</a> =  0x1000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc47e30f93c634e73eccf5841247edcf394">Ogre::M_MESH</a> =  0x3000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc42ea0d2c7c324fa5745b325a9e1c4cbb8">Ogre::M_SUBMESH</a> =  0x4000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4204c8cf7adc882832f720fec814b3736">Ogre::M_SUBMESH_OPERATION</a> =  0x4010, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc40be59b8913a5cb6a92942172121a1feb">Ogre::M_SUBMESH_BONE_ASSIGNMENT</a> =  0x4100, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc436e136a0ae3018f1bdb14cb8ee355b2a">Ogre::M_SUBMESH_TEXTURE_ALIAS</a> =  0x4200, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4b58cc7791a7fced01dfb77b38f804750">Ogre::M_GEOMETRY</a> =  0x5000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4529e87421877a2c003b001e99a2a1ec3">Ogre::M_GEOMETRY_VERTEX_DECLARATION</a> =  0x5100, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4c094ecf94bea8aabc8e50913260ca01a">Ogre::M_GEOMETRY_VERTEX_ELEMENT</a> =  0x5110, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4e8e03368ae266d871c8bee40fc9b2884">Ogre::M_GEOMETRY_VERTEX_BUFFER</a> =  0x5200, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4b6b7146d2e47408f325e5d95f52d1360">Ogre::M_GEOMETRY_VERTEX_BUFFER_DATA</a> =  0x5210, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4061bd3bd94e92d0d31a76b1030d28a8b">Ogre::M_MESH_SKELETON_LINK</a> =  0x6000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc45a2466fdd447d7a91aad57a941cbd336">Ogre::M_MESH_BONE_ASSIGNMENT</a> =  0x7000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4be24a7ed8a68168e01d8f355f9924356">Ogre::M_MESH_LOD</a> =  0x8000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc491d18ad3575494d5723187a27c0554ad">Ogre::M_MESH_LOD_USAGE</a> =  0x8100, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4a70c05306a33c122ff87a48135ebff9f">Ogre::M_MESH_LOD_MANUAL</a> =  0x8110, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4b2e273eb42a551fce6fcedc23b1b5579">Ogre::M_MESH_LOD_GENERATED</a> =  0x8120, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc41516dd9026781cc83396590e73eb5bd2">Ogre::M_MESH_BOUNDS</a> =  0x9000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc453de3dbb8a1fb4199fecfcc13b99a780">Ogre::M_SUBMESH_NAME_TABLE</a> =  0xA000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4d2d5c64333e75efb676c25cf7413fbe7">Ogre::M_SUBMESH_NAME_TABLE_ELEMENT</a> =  0xA100, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc49702b7e52d4ea26c0eaffe49a2ea3fca">Ogre::M_EDGE_LISTS</a> =  0xB000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc485ec2f21278624525b12aae23fecd8a3">Ogre::M_EDGE_LIST_LOD</a> =  0xB100, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc457ce1f8065af27bbbe84c1525b2541cb">Ogre::M_EDGE_GROUP</a> =  0xB110, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc48f20b9f53c4a616ebb80d5f5e6dce6f2">Ogre::M_POSES</a> =  0xC000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4db5976001d45fa25b6f5bf094ee26cb9">Ogre::M_POSE</a> =  0xC100, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc41c05dca2e153c0546074b2361706d4d0">Ogre::M_POSE_VERTEX</a> =  0xC111, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc447ebdc0a3d866f96d1272b53c956d60a">Ogre::M_ANIMATIONS</a> =  0xD000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc420cea2365d30a7aad8f79ca58f058b50">Ogre::M_ANIMATION</a> =  0xD100, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc406f1e8f333e075e3c50c1d6857423a3c">Ogre::M_ANIMATION_TRACK</a> =  0xD110, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc44227a01f9308f161b1dff36d37bfca1f">Ogre::M_ANIMATION_MORPH_KEYFRAME</a> =  0xD111, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc41530b8d3112bec8376a066db1859820d">Ogre::M_ANIMATION_POSE_KEYFRAME</a> =  0xD112, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc401f246a4298151dc5b2271de6bf19acc">Ogre::M_ANIMATION_POSE_REF</a> =  0xD113, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4def65eae91dcd6082bbc4be1bf0d950e">Ogre::M_TABLE_EXTREMES</a> =  0xE000, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc405282af650e923e0cbff1bc35e19eb21">Ogre::M_GEOMETRY_NORMALS</a> =  0x5100, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4e55f61d76f1149a9bed5c32711d404ab">Ogre::M_GEOMETRY_COLOURS</a> =  0x5200, 
<a class="el" href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4ec8563534d08ae9b4d15d04e5c999c1d">Ogre::M_GEOMETRY_TEXCOORDS</a> =  0x5300
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Definition of the OGRE .mesh file format.  <a href="namespaceOgre.html#7b904fc5463a8ef1e61f6de39b603fc4">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
